Bug 1762406 - DNF installation misses dependencies
Summary: DNF installation misses dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: swift-lang
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ron Olson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-16 16:16 UTC by kogiokkafrms
Modified: 2019-11-02 04:08 UTC (History)
1 user (show)

Fixed In Version: swift-lang-5.1.1-0.2.20191004git4242edd.fc30 swift-lang-5.1.1-0.2.20191004git4242edd.fc31 swift-lang-5.1.1-0.2.20191004git4242edd.fc29 swift-lang-5.1.1-0.2.20191004git4242edd.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 01:08:53 UTC


Attachments (Terms of Use)

Description kogiokkafrms 2019-10-16 16:16:17 UTC
Description of problem:
`dnf install swift-lang` doesn't install the swift-lang itself, therefore all the commands like swift, swift-build, etc. are not available. While uninstalling the broken swift-lang package, DNF gives "No packages marked for removal." message.

Version-Release number of selected component (if applicable):

swift-lang-5.1.1-0.1.20191004git4242edd.fc30.src.rpm

How reproducible:


Steps to Reproduce:
1. sudo dnf install swift-lang
2. sudo dnf remove swift-lang
3.

Actual results:

Result of dnf-install:
-----------------------------------------------------------------------
Installing:
 swift-lang-runtime                  x86_64                  5.1.1-0.1.20191004git4242edd.fc30                     updates                   12 M
Installing dependencies:
 libatomic                           x86_64                  9.2.1-1.fc30                                          updates                   36 k

Transaction Summary
==================================================================================================================================================
Install  2 Packages

Total download size: 12 M
Installed size: 54 M
----------------------------------------------------------------------

Result of dnf-remove:
----------------------------------------------------------------------
No match for argument: swift-lang
No packages marked for removal.
Dependencies resolved.
Nothing to do.
Complete!
----------------------------------------------------------------------

Expected results:
swift-lang itself should be installed.

Additional info:
`dnf install swift-lang-5.0` and `dnf install swift-lang-5.1.1` works.

Comment 1 Ron Olson 2019-10-16 16:23:49 UTC
Whoops, something evidently went very wrong. I'm on it.

Comment 2 Fedora Update System 2019-10-18 01:07:00 UTC
FEDORA-EPEL-2019-52ec16a316 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52ec16a316

Comment 3 Fedora Update System 2019-10-18 01:08:25 UTC
FEDORA-2019-03ef5a95fd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-03ef5a95fd

Comment 4 Fedora Update System 2019-10-18 01:10:31 UTC
FEDORA-2019-14b4162426 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-14b4162426

Comment 5 Fedora Update System 2019-10-18 13:55:34 UTC
FEDORA-2019-89ce915571 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-89ce915571

Comment 6 Fedora Update System 2019-10-18 17:36:10 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-89ce915571

Comment 7 Fedora Update System 2019-10-18 21:00:08 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-03ef5a95fd

Comment 8 Fedora Update System 2019-10-18 21:54:31 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-14b4162426

Comment 9 Fedora Update System 2019-10-18 22:07:45 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52ec16a316

Comment 10 Fedora Update System 2019-10-27 01:08:53 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-27 01:29:41 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-27 02:05:16 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-11-02 04:08:19 UTC
swift-lang-5.1.1-0.2.20191004git4242edd.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.